<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>I-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html#id">id</a></span> - Variable in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItem.html" title="class in ch.sebi.zuul.logic.ui.menu">MenuItem</a></dt>
<dd>
<div class="block">The unique id of this menu item</div>
</dd>
<dt><a href="../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions"><span class="typeNameLink">IllegalSlotNumberException</span></a> - Exception in <a href="../ch/sebi/zuul/exceptions/package-summary.html">ch.sebi.zuul.exceptions</a></dt>
<dd>
<div class="block">An exception which is thrown if someone tries to access/allocate/create/... a slot in the inventory which
 is either greater or equal than the max slot number of the Inventory (<a href="../ch/sebi/zuul/logic/items/Inventory.html#getMaxSlots--"><code>Inventory.getMaxSlots()</code></a>, if it is less
 then zero or if the accessed slot is null and not accessible.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html#IllegalSlotNumberException-int-int-">IllegalSlotNumberException(int, int)</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/IllegalSlotNumberException.html" title="class in ch.sebi.zuul.exceptions">IllegalSlotNumberException</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/IO.html#in">in</a></span> - Static variable in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic">IO</a></dt>
<dd>
<div class="block">The input stream of the game
 For all input which are ment for the player should be printed using this <code>InputStream</code></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#incrementLife-int-">incrementLife(int)</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">Increments the lifes of the player by the given amount.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#incrementSlot-int-int-">incrementSlot(int, int)</a></span> - Method in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">Increments the amount of items in the given slot by the given amount</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/Parser.html#input">input</a></span> - Variable in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/Parser.html" title="class in ch.sebi.zuul.command">Parser</a></dt>
<dd>
<div class="block">the input stream which is used by the parser</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input"><span class="typeNameLink">Input</span></a>&lt;<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="type parameter in Input">T</a>&gt; - Class in <a href="../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a></dt>
<dd>
<div class="block">A class which implements a basic input for integer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/Input.html#Input-java.lang.String-boolean-">Input(String, boolean)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/Input.html" title="class in ch.sebi.zuul.logic.ui.input">Input</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><a href="../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions"><span class="typeNameLink">InputConvertException</span></a> - Exception in <a href="../ch/sebi/zuul/exceptions/package-summary.html">ch.sebi.zuul.exceptions</a></dt>
<dd>
<div class="block">An exception which occures if an input fails in <a href="../ch/sebi/zuul/logic/ui/input/Input.html#convertInput-java.lang.String-"><code>Input.convertInput(String)</code></a></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InputConvertException.html#InputConvertException-java.lang.String-boolean-">InputConvertException(String, boolean)</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></dt>
<dd>
<div class="block">constructor<br/></div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InputConvertException.html#InputConvertException-java.lang.String-boolean-java.lang.Throwable-">InputConvertException(String, boolean, Throwable)</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></dt>
<dd>
<div class="block">constructor<br/></div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/ui/input/IntInput.html" title="class in ch.sebi.zuul.logic.ui.input"><span class="typeNameLink">IntInput</span></a> - Class in <a href="../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a></dt>
<dd>
<div class="block">An input which takes an integer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/IntInput.html#IntInput--">IntInput()</a></span> - Constructor for class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/IntInput.html" title="class in ch.sebi.zuul.logic.ui.input">IntInput</a></dt>
<dd>
<div class="block">constructor<br/>
 Sets the promt to "number"</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/input/IntInput.html#IntInput-java.lang.String-">IntInput(String)</a></span> - Constructor for class ch.sebi.zuul.logic.ui.input.<a href="../ch/sebi/zuul/logic/ui/input/IntInput.html" title="class in ch.sebi.zuul.logic.ui.input">IntInput</a></dt>
<dd>
<div class="block">constructor<br/></div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">Inventory</span></a> - Class in <a href="../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></dt>
<dd>
<div class="block">An inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Inventory.html#Inventory-int-">Inventory(int)</a></span> - Constructor for class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Inventory.html" title="class in ch.sebi.zuul.logic.items">Inventory</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#inventory">inventory</a></span> - Variable in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">The inventory of the player</div>
</dd>
<dt><a href="../ch/sebi/zuul/exceptions/InventoryException.html" title="class in ch.sebi.zuul.exceptions"><span class="typeNameLink">InventoryException</span></a> - Exception in <a href="../ch/sebi/zuul/exceptions/package-summary.html">ch.sebi.zuul.exceptions</a></dt>
<dd>
<div class="block">A exception base class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InventoryException.html#InventoryException--">InventoryException()</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InventoryException.html" title="class in ch.sebi.zuul.exceptions">InventoryException</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InventoryException.html#InventoryException-java.lang.String-">InventoryException(String)</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InventoryException.html" title="class in ch.sebi.zuul.exceptions">InventoryException</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InventoryException.html#InventoryException-java.lang.String-java.lang.Throwable-">InventoryException(String, Throwable)</a></span> - Constructor for exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InventoryException.html" title="class in ch.sebi.zuul.exceptions">InventoryException</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal"><span class="typeNameLink">InventoryExecutor</span></a> - Class in <a href="../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></dt>
<dd>
<div class="block">The inventory executor<br/>
 syntax: inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html#InventoryExecutor--">InventoryExecutor()</a></span> - Constructor for class ch.sebi.zuul.command.executors.normal.<a href="../ch/sebi/zuul/command/executors/normal/InventoryExecutor.html" title="class in ch.sebi.zuul.command.executors.normal">InventoryExecutor</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html#invoke-ch.sebi.zuul.logic.Game-">invoke(Game)</a></span> - Method in interface ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a></dt>
<dd>
<div class="block">This method is invoked if the menu to which it was registered was chosen</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic"><span class="typeNameLink">IO</span></a> - Class in <a href="../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></dt>
<dd>
<div class="block">A class which contains the input and output stream for the game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/IO.html#IO--">IO()</a></span> - Constructor for class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/IO.html" title="class in ch.sebi.zuul.logic">IO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/player/Player.html#isDead--">isDead()</a></span> - Method in class ch.sebi.zuul.logic.player.<a href="../ch/sebi/zuul/logic/player/Player.html" title="class in ch.sebi.zuul.logic.player">Player</a></dt>
<dd>
<div class="block">If the player is dead or not or
 if the player's life are greate than zero</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Exit.html#isOpen-ch.sebi.zuul.logic.Game-">isOpen(Game)</a></span> - Method in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Exit.html" title="class in ch.sebi.zuul.logic.map">Exit</a></dt>
<dd>
<div class="block">Returns if the exit is open or not</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/fight/Fight.html#isRunning--">isRunning()</a></span> - Method in class ch.sebi.zuul.logic.fight.<a href="../ch/sebi/zuul/logic/fight/Fight.html" title="class in ch.sebi.zuul.logic.fight">Fight</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#isRunning--">isRunning()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">Returns if the game is still running
 To stop the game interupt the thread in which it is started</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/exceptions/InputConvertException.html#isShowErrorMsg--">isShowErrorMsg()</a></span> - Method in exception ch.sebi.zuul.exceptions.<a href="../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></dt>
<dd>
<div class="block">Returns if the error message should be shown in the input</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/items/Item.html" title="interface in ch.sebi.zuul.logic.items"><span class="typeNameLink">Item</span></a> - Interface in <a href="../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></dt>
<dd>
<div class="block">An interface which implements the basic of an item</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/ItemSlot.html#item">item</a></span> - Variable in class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></dt>
<dd>
<div class="block">the item itself</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition"><span class="typeNameLink">ItemInInventoryCondition</span></a> - Class in <a href="../ch/sebi/zuul/logic/condition/package-summary.html">ch.sebi.zuul.logic.condition</a></dt>
<dd>
<div class="block">A condition which checks if a given item is in the player's inventory</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html#ItemInInventoryCondition-ch.sebi.zuul.logic.items.Item-int-">ItemInInventoryCondition(Item, int)</a></span> - Constructor for class ch.sebi.zuul.logic.condition.<a href="../ch/sebi/zuul/logic/condition/ItemInInventoryCondition.html" title="class in ch.sebi.zuul.logic.condition">ItemInInventoryCondition</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#items">items</a></span> - Variable in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">A list with all items which are in the room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/ui/menu/Menu.html#items">items</a></span> - Variable in class ch.sebi.zuul.logic.ui.menu.<a href="../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu">Menu</a></dt>
<dd>
<div class="block">a list of all items of the menu</div>
</dd>
<dt><a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items"><span class="typeNameLink">ItemSlot</span></a> - Class in <a href="../ch/sebi/zuul/logic/items/package-summary.html">ch.sebi.zuul.logic.items</a></dt>
<dd>
<div class="block">An item slot represents an item with the amount of that item which is stored in the slot</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/ItemSlot.html#ItemSlot-int-ch.sebi.zuul.logic.items.Item-">ItemSlot(int, Item)</a></span> - Constructor for class ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/ItemSlot.html" title="class in ch.sebi.zuul.logic.items">ItemSlot</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
